com.mockobjects.net

## Class MockSocketFactory

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.net.MockSocketFactory

- All Implemented Interfaces:
    SocketFactory, Verifiable

      public class MockSocketFactory
      extends MockObject
      implements SocketFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockSocketFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket(java.lang.String aHost, int aPort)`
    `void` | `setExpectedHost(java.lang.String aHost)`
    `void` | `setExpectedPort(java.lang.String aPort)`
    `void` | `setupCreateSocket(Socket aSocket)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockSocketFactory

          public MockSocketFactory()

  - ### Method Detail

    - #### setupCreateSocket

          public void setupCreateSocket(Socket aSocket)

    - #### setExpectedHost

          public void setExpectedHost(java.lang.String aHost)

    - #### setExpectedPort

          public void setExpectedPort(java.lang.String aPort)

    - #### createSocket

          public Socket createSocket(java.lang.String aHost,
                                     int aPort)

      Specified by:
        `createSocket` in interface `SocketFactory`

Copyright © 2002 Mock Objects. All Rights Reserved.